package com.wechat.model.dto;

import java.util.Date;
import java.util.List;

/**
 * @author jadyn
 * @version 创建时间：2020年7月2日 下午1:36:49 
 * 面试邀请列表
 */
public class InterviewListDto {
	private Integer intvId;
	
	private String jobId;
	private String publisher;
	private String interviewee;
    // 企业联系人
	private String entContacts;
	// 企业联系方式
	private String entContactInfo;
	// 面试方式[0-现场面试 1-视频面试]
	private String type;
	// 面试地址
	private String addrProvince;
	private String addrCity;
	private String addrArea;
	private String addDetail;
	
	private int roomId;
	// 面试时间
	private Date intvTime;
	// 状态[1-待求职者确认；2-待企业确认；3-等待面试；4-已拒绝；5-面试结束]
	private String status;
	// 发出邀请时间
	private Date inviteDate;
	// 更新时间
	private Date updateDate;
	
	//拒绝面试的理由
	private String remarks;

	private List<InterviewTimeListDto> interviewTime;
	
	public String getEntContacts() {
		return entContacts;
	}
	public void setEntContacts(String entContacts) {
		this.entContacts = entContacts;
	}
	public String getEntContactInfo() {
		return entContactInfo;
	}
	public void setEntContactInfo(String entContactInfo) {
		this.entContactInfo = entContactInfo;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getAddrProvince() {
		return addrProvince;
	}
	public void setAddrProvince(String addrProvince) {
		this.addrProvince = addrProvince;
	}
	public String getAddrCity() {
		return addrCity;
	}
	public void setAddrCity(String addrCity) {
		this.addrCity = addrCity;
	}
	public String getAddrArea() {
		return addrArea;
	}
	public void setAddrArea(String addrArea) {
		this.addrArea = addrArea;
	}
	public String getAddDetail() {
		return addDetail;
	}
	public void setAddDetail(String addDetail) {
		this.addDetail = addDetail;
	}
	public Date getIntvTime() {
		return intvTime;
	}
	public void setIntvTime(Date intvTime) {
		this.intvTime = intvTime;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public Date getInviteDate() {
		return inviteDate;
	}
	public void setInviteDate(Date inviteDate) {
		this.inviteDate = inviteDate;
	}
	public Date getUpdateDate() {
		return updateDate;
	}
	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}
	public List<InterviewTimeListDto> getInterviewTime() {
		return interviewTime;
	}
	public void setInterviewTime(List<InterviewTimeListDto> interviewTime) {
		this.interviewTime = interviewTime;
	}
	public Integer getIntvId() {
		return intvId;
	}
	public void setIntvId(Integer intvId) {
		this.intvId = intvId;
	}
	public String getJobId() {
		return jobId;
	}
	public void setJobId(String jobId) {
		this.jobId = jobId;
	}
	public String getPublisher() {
		return publisher;
	}
	public void setPublisher(String publisher) {
		this.publisher = publisher;
	}
	public String getInterviewee() {
		return interviewee;
	}
	public void setInterviewee(String interviewee) {
		this.interviewee = interviewee;
	}
	public int getRoomId() {
		return roomId;
	}
	public void setRoomId(int roomId) {
		this.roomId = roomId;
	}
	public String getRemarks() {
		return remarks;
	}
	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

}
